Pretest Build Reports - Build 6122 details

For more information see http://pretest.nongnu.org.

← back to list

Project: diffutils-3.6.17-d5ba
Source: https://meyering.net/diff/diffutils-3.6.17-d5ba.tar.xz
System: Linux 3.10.0-693.11.6.el7.ppc64le (ppc64le)
Status:
make-check failed
Download logs (what's inside?) diffutils-3.6.17-d5ba.pretest-build-report.build-6122.tar.bz2
Failed tests from tests-suite-summary.log:
=====================================================
GNU diffutils 3.6.17-d5ba: tests/test-suite.log
=====================================================

# TOTAL: 21
# PASS:  19
# SKIP:  0
# XFAIL: 1
# FAIL:  1
# XPASS: 0
# ERROR: 0

FAIL: colors
============

++ initial_cwd_=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests gt-colors.XXXX
+++ case $# in
+++ destdir_=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests
+++ template_=gt-colors.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
+++ case $d in
+++ :
+++ test -d /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
++++ ls -dgo /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
+++ perms='drwx------. 2 6 Dec 27 02:42 /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK'
+++ case $perms in
+++ :
+++ echo /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
+++ return
++ test_dir_=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
++ cd /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ../src
+ test 1 '!=' 0
+ path_dir_=../src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/../src
+ case $abs_path_dir_ in
+ PATH=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/../src:/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/src:/usr/local/bin:/usr/bin
+ create_exe_shims_ /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/../src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ TZ=UTC0
+ export TZ
+ fail=0
+ echo a
+ echo b
+ epoch='1970-01-01 00:00:00'
+ touch -t 197001010000.00 a b
++ printf '\033'
+ e=$'\E'
++ printf '\t'
+ tab='	'
+ rs=0
+ hd=1
+ ad=32
+ de=31
+ ln=36
+ returns_ 1 diff --color=auto a b
+ gen_exp_default
+ printf %s '1c1
< a
---
> b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ returns_ 1 env PATH=/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/../src:/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/src:/usr/local/bin:/usr/bin TERM=dumb diff ---presume-output-tty --color=auto a b
+ gen_exp_default
+ printf %s '1c1
< a
---
> b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ returns_ 1 diff --color=never a b
+ gen_exp_default
+ printf %s '1c1
< a
---
> b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ returns_ 1 diff a b
+ gen_exp_default
+ printf %s '1c1
< a
---
> b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ returns_ 1 diff --color=always a b
+ gen_exp_default_colors
++ printf ''
+ local 'rs='
++ printf ''
+ local 'hd='
++ printf ''
+ local 'ad='
++ printf ''
+ local 'de='
++ printf ''
+ local 'ln='
+ printf %s '1c1
< a
---
> b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ returns_ 1 diff -u --color=always a b
+ gen_exp_u
+ local 'epoch_plus=1970-01-01 00:00:00.000000000 +0000'
++ printf ''
+ local 'rs='
++ printf ''
+ local 'hd='
++ printf ''
+ local 'ad='
++ printf ''
+ local 'de='
++ printf ''
+ local 'ln='
+ printf %s '--- a	1970-01-01 00:00:00.000000000 +0000
+++ b	1970-01-01 00:00:00.000000000 +0000
@@ -1 +1 @@
-a
+b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ returns_ 1 diff -c --color=always a b
+ gen_exp_c
+ local 'epoch_posix_1003_1_2001=Thu Jan  1 00:00:00 1970'
++ printf ''
+ local 'rs='
++ printf ''
+ local 'hd='
++ printf ''
+ local 'ad='
++ printf ''
+ local 'de='
++ printf ''
+ local 'ln='
+ printf %s '*** a	Thu Jan  1 00:00:00 1970
--- b	Thu Jan  1 00:00:00 1970
***************
*** 1 ****
! a
--- 1 ----
! b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ rs=0
+ hd=33
+ ad=34
+ de=35
+ ln=36
+ returns_ 1 diff -u --color=always --palette=rs=0:hd=33:ad=34:de=35:ln=36 a b
+ gen_exp_u
+ local 'epoch_plus=1970-01-01 00:00:00.000000000 +0000'
++ printf ''
+ local 'rs='
++ printf ''
+ local 'hd='
++ printf ''
+ local 'ad='
++ printf ''
+ local 'de='
++ printf ''
+ local 'ln='
+ printf %s '--- a	1970-01-01 00:00:00.000000000 +0000
+++ b	1970-01-01 00:00:00.000000000 +0000
@@ -1 +1 @@
-a
+b
'
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ mkfifo fifo
+ printf '%*s-a' 1000000
+ printf '%*s-b' 1000000
+ head -c 10
+ diff --color=always ---presume-output-tty a b
diff: standard output: Broken pipe
+ test 2 = 141
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests
+ chmod -R u+rwx /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
+ rm -rf /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
+ exit 1
FAIL colors (exit status: 1)
Last lines of tail-error.log:
make-check failed, tail of make-check.log:

+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ mkfifo fifo
+ printf '%*s-a' 1000000
+ printf '%*s-b' 1000000
+ head -c 10
+ diff --color=always ---presume-output-tty a b
diff: standard output: Broken pipe
+ test 2 = 141
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests
+ chmod -R u+rwx /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
+ rm -rf /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests/gt-colors.ydeK
+ exit 1
FAIL colors (exit status: 1)

============================================================================
Testsuite summary for GNU diffutils 3.6.17-d5ba
============================================================================
# TOTAL: 21
# PASS:  19
# SKIP:  0
# XFAIL: 1
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to bug-diffutils@gnu.org
============================================================================
make[3]: *** [test-suite.log] Error 1
make[3]: Leaving directory `/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests'
make[2]: *** [check-TESTS] Error 2
make[2]: Leaving directory `/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt/diffutils-3.6.17-d5ba/tests'
make: *** [check-recursive] Error 1

Build information

PATH /usr/local/bin:/usr/bin
SHELL /bin/bash
PWD /home/agn/tmp/pretest.2018-12-27.pdICaB/diffutils-3.6.17-d5ba.mvsoNt
hostname gcc2-power8.osuosl.org
SOURCE https://meyering.net/diff/diffutils-3.6.17-d5ba.tar.xz
BASENAME diffutils-3.6.17-d5ba
configure_extra_params
make_extra_params
make_check_extra_params
env_extra_params
git_branch

Build host information

autoconf-version autoconf (GNU Autoconf) 2.69
automake-version automake (GNU automake) 1.13.4
autopoint-version /usr/bin/autopoint (GNU gettext-tools) 0.19.8.1
autoreconf-version autoreconf (GNU Autoconf) 2.69
make-version GNU Make 3.82
makeinfo-version makeinfo (GNU texinfo) 5.1
git-version git version 1.8.3.1
wget-version GNU Wget 1.14 built on linux-gnu.
rsync-version rsync version 3.1.2 protocol version 31
gcc-version gcc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-36)
cc-version cc (GCC) 4.8.5 20150623 (Red Hat 4.8.5-36)
uname-s Linux
uname-r 3.10.0-693.11.6.el7.ppc64le
uname-m ppc64le
uname-p ppc64le
uname-i ppc64le
uname-o GNU/Linux
uname-v #1 SMP Thu Jan 4 18:15:24 GMT 2018
lsb_release-v
lsb_release-i
lsb_release-d
lsb_release-r
lsb_release-c
etc_release
etc_issue \S

Download Log Files

logs/timestamp.start.txt 76 Bytes curl -JLO 'http://pretest.housegordon.org/g/6122/logs/timestamp.start.txt'
logs/versions.txt 806 Bytes curl -JLO 'http://pretest.housegordon.org/g/6122/logs/versions.txt'
logs/environment.txt 150 Bytes curl -JLO 'http://pretest.housegordon.org/g/6122/logs/environment.txt'
logs/input.txt 191 Bytes curl -JLO 'http://pretest.housegordon.org/g/6122/logs/input.txt'
logs/configure.log 21.6 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/configure.log'
logs/configure.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6122/logs/configure.ok'
logs/make.log 6.9 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/make.log'
logs/make.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6122/logs/make.ok'
logs/make-check.log 14.3 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/make-check.log'
logs/status 18 Bytes curl -JLO 'http://pretest.housegordon.org/g/6122/logs/status'
logs/config.log 550.9 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/config.log'
logs/config.status 76.9 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/config.status'
logs/test-suite.0.log 11.3 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/test-suite.0.log'
logs/tests-suite-summary.log 7.6 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/tests-suite-summary.log'
logs/tail-error.log 1.8 kB curl -JLO 'http://pretest.housegordon.org/g/6122/logs/tail-error.log'